Package com.ocient.jdbc.proto

## Interface ClientWireProtocol.GetSchemaResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.GetSchemaResponse`, `ClientWireProtocol.GetSchemaResponse.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.GetSchemaResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`ClientWireProtocol.ConfirmationResponse` `getResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` `getResponseOrBuilder()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`String` `getSchema()` `string schema = 2;`
`com.google.protobuf.ByteString` `getSchemaBytes()` `string schema = 2;`
`boolean` `hasResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### hasResponse

    boolean hasResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  Whether the response field is set.

#### getResponse

    ClientWireProtocol.ConfirmationResponse getResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Returns:
  The response.

#### getResponseOrBuilder

    ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### getSchema

    String getSchema()

`string schema = 2;`

Returns:
  The schema.

#### getSchemaBytes

    com.google.protobuf.ByteString getSchemaBytes()

`string schema = 2;`

Returns:
  The bytes for schema.